%global py_name Screenkey
Name:		screenkey
Version:	1.5
Release:    1%{?dist}
Summary:	A screencast tool to display your keys
License:	GPLv3+
URL:		https://www.thregr.org/~wavexx/software/%{name}
Source0:	%{URL}/releases/%{name}-%{version}.tar.gz
Source1:        %{URL}/releases/%{name}-%{version}.tar.gz.asc
Source2:        https://www.thregr.org/~wavexx/files/wavexx.asc

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-babel
BuildRequires:	desktop-file-utils

BuildRequires: gnupg2

Requires:   python3-gobject
Requires:   python3-cairo
Requires:   slop

Recommends: fontawesome-fonts
Recommends: libappindicator-gtk3

%description
A screencast tool to display your keys, featuring:
* Several keyboard translation methods
* Key composition/input method support
* Configurable font/size/position
* Highlighting of recent keystrokes
* Improved backspace processing
* Normal/Emacs/Mac caps modes
* Multi-monitor support
* Dynamic recording control etc.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup
rm -rf %{src_name}.egg-info

%build
%py3_build

%install
%py3_install
%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README.rst NEWS.rst
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/org.thregr.%{name}.metainfo.xml
%{python3_sitelib}/%{py_name}/
%{python3_sitelib}/%{name}-%{version}-*.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-1
- initial build
